QGIS Application - Bug report #15327
QGIS 2.16 Split Features creates iinvalid geometry
2016-07-22 12:00 AM - Geoffrey Sinclair

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.16.0 Regression?: No
Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 23259
Description

QGIS 2.16.0.3 Using the "Split Features" tool with a polygon/shapeflie, results in geometry errors for the polygon (as a shapefile)
Using the "Split Features" on the same polygon/shapefile in QGIS 2.14.3 results in no geometry errors

To create error

1. Create a new polygon shapefile

2. Digitise a simple polygon

3. Split polygon with "Split Features"

4. Split polygon again with "Split Features"
Error "No Split done: The geometry is invalid.."

History

#1 - 2016-07-22 12:59 PM - Jukka Rahkonen
| guess that Split is creating intersections of the features and when splitting already cut features the intersection that comes from the process is a linestring

which is invalid as a polygon.

#2 - 2017-01-08 07:43 AM - Giovanni Manghi
- Resolution set to worksforme

- Priority changed from High to Normal

- Status changed from Open to Closed

Cannot replicate on 2.18.2 on Windows and Linux. Please reopen of necessary adding more details (screenshots/casts, crs, etc.) and/or data.
